Open CASCADE Technology: OpenGl_StencilTest Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
OpenGl_StencilTest Class Reference

`#include <OpenGl_StencilTest.hxx>`

Inheritance diagram for OpenGl_StencilTest:
[legend]

## Public Member Functions
| OpenGl_StencilTest ()
| Default constructor. More...
virtual void | Render (const Handle< OpenGl_Workspace > &theWorkspace) const
| Render primitives to the window. More...
virtual void | Release (OpenGl_Context *theContext)
| Release GPU resources. Pointer to the context is used because this method might be called when the context is already being destroyed and usage of a handle would be unsafe. More...
void | SetOptions (const Standard_Boolean theIsEnabled)
Public Member Functions inherited from OpenGl_Element
| OpenGl_Element ()
Standard_Boolean | RenderFiltered (const Handle< OpenGl_Workspace > &theWorkspace, const Handle< OpenGl_RenderFilter > &theFilter) const
| Render element if it passes the filtering procedure. This method should be used for elements which can be used in scope of rendering algorithms. E.g. elements of groups during recursive rendering. If render filter is null, pure rendering is performed. More...

## Protected Member Functions
virtual | ~OpenGl_StencilTest ()
| Destructor. More...
Protected Member Functions inherited from OpenGl_Element
virtual | ~OpenGl_Element ()

## Additional Inherited Members
Static Public Member Functions inherited from OpenGl_Element
template<typename theResource_t >
static void | Destroy (OpenGl_Context *theContext, theResource_t *&theElement)
| Pointer to the context is used because this method might be called when the context is already being destroyed and usage of a handle would be unsafe. More...

## Constructor & Destructor Documentation

OpenGl_StencilTest::OpenGl_StencilTest | ( |  | ) |

Default constructor.

virtual OpenGl_StencilTest::~OpenGl_StencilTest | ( |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

virtual void OpenGl_StencilTest::Release | ( | OpenGl_Context * | theContext | ) |
| virtual

Release GPU resources. Pointer to the context is used because this method might be called when the context is already being destroyed and usage of a handle would be unsafe.

Implements OpenGl_Element.

virtual void OpenGl_StencilTest::Render | ( | const Handle< OpenGl_Workspace > & | theWorkspace | ) | const
| virtual

Render primitives to the window.

Implements OpenGl_Element.

void OpenGl_StencilTest::SetOptions | ( | const Standard_Boolean | theIsEnabled | ) |

The documentation for this class was generated from the following file:

- OpenGl_StencilTest.hxx